package com.mortals.xhx.module.product.model;
import java.util.List;
import java.util.ArrayList;
import com.mortals.framework.annotation.Excel;
import com.mortals.framework.model.BaseEntityLong;
import com.mortals.xhx.module.product.model.vo.ProductTopicVo;
/**
* 产品topic实体对象
*
* @author zxfei
* @date 2021-11-22
*/

public class ProductTopicEntity extends ProductTopicVo {
    private static final long serialVersionUID = 1L;

    /**
    * 用户ID
    */
    private Long customerId;
    /**
    * 产品
    */
    private Long productId;
    /**
    * Topic类，类目命名只能包含字母、数字和下划线（_），每级类目不能为空。
    */
    private String topic;
    /**
    * 描述
    */
    private String productTopicRemark;



    public ProductTopicEntity(){}
    /**
    * 获取 用户ID
    * @return Long
    */
    public Long getCustomerId(){
        return customerId;
    }
    /**
    * 设置 用户ID
    * @param customerId
    */
    public void setCustomerId(Long customerId){
        this.customerId = customerId;
    }
    /**
    * 获取 产品
    * @return Long
    */
    public Long getProductId(){
        return productId;
    }
    /**
    * 设置 产品
    * @param productId
    */
    public void setProductId(Long productId){
        this.productId = productId;
    }
    /**
    * 获取 Topic类，类目命名只能包含字母、数字和下划线（_），每级类目不能为空。
    * @return String
    */
    public String getTopic(){
        return topic;
    }
    /**
    * 设置 Topic类，类目命名只能包含字母、数字和下划线（_），每级类目不能为空。
    * @param topic
    */
    public void setTopic(String topic){
        this.topic = topic;
    }
    /**
    * 获取 描述
    * @return String
    */
    public String getProductTopicRemark(){
        return productTopicRemark;
    }
    /**
    * 设置 描述
    * @param productTopicRemark
    */
    public void setProductTopicRemark(String productTopicRemark){
        this.productTopicRemark = productTopicRemark;
    }




    @Override
    public int hashCode() {
         return this.getId().hashCode();
    }
    @Override
    public boolean equals(Object obj) {
        if (obj == null) return false;
        if (obj instanceof ProductTopicEntity) {
            ProductTopicEntity tmp = (ProductTopicEntity) obj;
            if (this.getId() == tmp.getId()) {
                 return true;
            }
        }
        return false;
    }

    public String toString(){
        StringBuilder sb = new StringBuilder("");
        sb.append(",customerId:").append(getCustomerId());
        sb.append(",productId:").append(getProductId());
        sb.append(",topic:").append(getTopic());
        sb.append(",productTopicRemark:").append(getProductTopicRemark());
        return sb.toString();
    }

    public void initAttrValue(){
            this.customerId = null;
            this.productId = null;
            this.topic = null;
            this.productTopicRemark = null;
    }
}